# Uses of Enum Class
com.ocient.jdbc.graph.OCGraph.EdgeDirection

Packages that use OCGraph.EdgeDirection
Package
Description
com.ocient.jdbc.graph

## Uses of OCGraph.EdgeDirection in com.ocient.jdbc.graph

Methods in com.ocient.jdbc.graph that return OCGraph.EdgeDirection
Modifier and Type
Method
Description
`static OCGraph.EdgeDirection`
OCGraph.EdgeDirection.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OCGraph.EdgeDirection[]`
OCGraph.EdgeDirection.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.graph with parameters of type OCGraph.EdgeDirection
Modifier and Type
Method
Description
`static void`
OCGraph.`collectEdges(String inputSchema, String inputVerticesTable, String inputEdgesTable, String resultSchema, String resultVerticesTable, OCGraph.EdgeDirection direction, ArrayList<String> resultVerticesIndexes, Statement stmt)`
Collects edge information associated with each vertex in a graph stored in database tables and stores the results in a new table.
`static void`
OCGraph.`collectNeighbors(String inputSchema, String inputVerticesTable, String inputEdgesTable, String resultSchema, String resultVerticesTable, OCGraph.EdgeDirection direction, ArrayList<String> resultVerticesIndexes, Statement stmt)`
Collects neighbor information for each vertex in a graph stored in database tables and stores the results in a new table.